﻿'Prologue


Public Class frmBarChart
    Dim mgrfChart As Graphics

    Private Sub frmBarChart_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        mgrfChart = Me.CreateGraphics

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub btnPlot_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPlot.Click
        Dim srdStudyTimes As System.IO.StreamReader
        Dim strClass As String
        Dim shoHours As Short
        Dim strRecord() As String
        Dim strLine As String
        Dim intNameLocation As Integer
        Dim intHoursLocation As Integer = 25
        Dim intBarLength As Integer

        'Set filename
        srdStudyTimes = New System.IO.StreamReader("StudyTimes.dat")

        'Heading
        mgrfChart.DrawString("Clara Fie Study Times", New System.Drawing.Font("Arial", 24) _
                           , Brushes.Black, 50, 25)

        Do Until srdStudyTimes.Peek = -1
            'Input
            strLine = srdStudyTimes.ReadLine
            strRecord = strLine.Split(",")
            strClass = strRecord(0)
            shoHours = Convert.ToInt16(strRecord(1))

            'Processing
            'Increments variables so each item displays in its own area
            intNameLocation += 75
            intHoursLocation += 75
            intBarLength = shoHours * 25

            'Output
            'Draws class, hours and horizontal bars to indicate study times
            mgrfChart.DrawString(strClass, New System.Drawing.Font("Arial", 16) _
                               , Brushes.Black, 50, intNameLocation)
            mgrfChart.DrawString(shoHours.ToString, New System.Drawing.Font("Arial", 16) _
                               , Brushes.Black, 50, intHoursLocation)
            mgrfChart.FillRectangle(Brushes.Green, 85, intHoursLocation, intBarLength, 25)

        Loop

        'Close File
        srdStudyTimes.Close()

        'Draws legend at the bottom
        mgrfChart.DrawString("Times in hours per week", New System.Drawing.Font("Arial", 12) _
                   , Brushes.Black, 50, 525)
    End Sub

End Class
