﻿'Prologue


Public Class frmDrawStuff
    Dim mgrfCanvas As Graphics
    Dim xDown As Integer                         
    Dim yDown As Integer
    Dim xUp As Integer
    Dim yUp As Integer
    Dim mblnDrawTriangle As Boolean
    Dim mblnDrawDiamond As Boolean

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub frmDrawStuff_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        mgrfCanvas.FillRectangle(Brushes.Black, 0, 0, 500, 500)

    End Sub

    Private Sub frmDrawStuff_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseDown
        xDown = e.X
        yDown = e.Y

    End Sub

    Private Sub btnTriangle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTriangle.Click
        mblnDrawTriangle = True
        mblnDrawDiamond = False

    End Sub

    Private Sub frmDrawStuff_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseUp
        Dim penBlack As New Pen(Color.Black, 255)
        Dim xStart As Integer
        Dim yStart As Integer
        Dim xStop As Integer
        Dim yStop As Integer
        Dim intXLCorner As Integer
        Dim intYLCorner As Integer
        Dim intXRCorner As Integer
        Dim intYRCorner As Integer
        Dim intXDistance As Integer
        Dim intYDistance As Integer
        Dim intYBottom As Integer

        xStart = xDown
        yStart = yDown
        xStop = xUp
        yStop = yUp
        xUp = e.X
        yUp = e.Y

        If xUp < xDown Then
            xStart = xUp
            xStop = xDown
        Else
            xStart = xDown
            xStop = xUp
        End If
        If yUp < yDown Then
            yStart = yUp
            yStop = yDown
        Else
            yStart = yDown
            yStop = yUp
        End If

        intXDistance = Math.Abs(xStart - xStop)
        intYDistance = Math.Abs(yStart - yStop)

        intXRCorner = xStart + intXDistance
        intYRCorner = yStart + intYDistance

        intXLCorner = xStart - intXDistance
        intYLCorner = yStart + intYDistance

        If mblnDrawTriangle Then
            'Draw triangle
            mgrfCanvas.DrawLine(penBlack, xStart, yStart, intXRCorner, intYRCorner)
            mgrfCanvas.DrawLine(penBlack, xStart, yStart, intXLCorner, intYLCorner)
            mgrfCanvas.DrawRectangle(penBlack, intXLCorner, intYLCorner, intXRCorner, intYRCorner)
        End If

        If mblnDrawDiamond Then
            'Draw diamond
            intYBottom = yStart + (intYDistance * 2)

            mgrfCanvas.DrawLine(penBlack, xStart, yStart, intXRCorner, intYRCorner)
            mgrfCanvas.DrawLine(penBlack, xStart, yStart, intXLCorner, intYLCorner)
            mgrfCanvas.DrawLine(penBlack, intXLCorner, intYLCorner, xStart, intYBottom)
            mgrfCanvas.DrawLine(penBlack, intXRCorner, intYRCorner, xStart, intYBottom)

        End If

    End Sub

    Private Sub btnDiamond_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDiamond.Click
        mblnDrawTriangle = False
        mblnDrawDiamond = True

    End Sub
End Class
