﻿'Prologue


Public Class frmMousingAround
    Dim mgrfTop As Graphics
    Dim mgrfBottom As Graphics
    Dim mxOld As Integer
    Dim myOld As Integer

    Private Sub frmLayers_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        mgrfTop = Me.CreateGraphics
        mgrfBottom = Me.CreateGraphics
        Me.BackColor = (Color.FromArgb(245, 245, 245))

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub frmLayers_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        Dim x As Integer
        Dim y As Integer
        Dim xDiff As Integer
        Dim yDiff As Integer
        Dim sngALength As Single
        Dim sngBLength As Single

        Dim penSquare As New Pen(Color.Black, 3)

        Dim penLine As New Pen(Color.Red, 2)
        Dim penLineOld As New Pen(Color.FromArgb(245, 245, 245), 2)

        x = e.X
        y = e.Y

        'Keeps lines inside square
        If x > 425 Then x = 425
        If y > 425 Then y = 425
        If x < 25 Then x = 25
        If y < 25 Then y = 25

        'Erases old red lines
        mgrfBottom.DrawLine(penLineOld, 100, 125, mxOld, myOld)
        mgrfBottom.DrawLine(penLineOld, 200, 175, mxOld, myOld)

        'Draws rectangle
        mgrfTop.DrawRectangle(penSquare, 25, 25, 400, 400)

        'Draws labels
        mgrfBottom.DrawString("A", New System.Drawing.Font("Arial", 12), Brushes.Black, 100, 100)
        mgrfBottom.DrawString("B", New System.Drawing.Font("Arial", 12), Brushes.Black, 200, 150)

        'Redraws lines
        mgrfBottom.DrawLine(penLine, 100, 125, x, y)
        mgrfBottom.DrawLine(penLine, 200, 175, x, y)

        'Get line lengths
        xDiff = Math.Abs(mxOld - 100)
        yDiff = Math.Abs(myOld - 125)
        sngALength = Math.Sqrt(xDiff ^ 2 + yDiff ^ 2)
        xDiff = Math.Abs(mxOld - 200)
        yDiff = Math.Abs(myOld - 175)
        sngBLength = Math.Sqrt(xDiff ^ 2 + yDiff ^ 2)

        'Update values
        mxOld = x
        myOld = y

        'Allow for offset because square isn't in the corner of the form
        x = x - 25
        y = y - 25

        'Display x, y values
        lblX.Text = x.ToString
        lblY.Text = y.ToString
        lblALength.Text = sngALength.ToString("n0")
        lblBLength.Text = sngBLength.ToString("n0")

    End Sub
End Class
