﻿'Prologue

Public Class Form1
    'Declarations
    Dim mgrfDrawSurface As Graphics
    Dim mColor As Color = Color.Black
    Dim mIterations As Integer

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Randomize()

        'Load
        mgrfDrawSurface = Me.CreateGraphics

    End Sub

    Private Sub btnStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStart.Click
        Dim bytRandom As Byte
        Dim i As Integer
        Dim xOld As Integer = 509
        Dim yOld As Integer = 365
        Dim xNew As Integer
        Dim yNew As Integer



        'Draw dots
        For i = 1 To mIterations

            bytRandom = Int(Rnd() * 6 + 1)
            Select Case bytRandom
                Case 1 To 2
                    'Top vertex
                    xNew = (xOld + 509) \ 2
                    yNew = yOld \ 2

                    mgrfDrawSurface.FillEllipse(New SolidBrush(mColor), xNew, yNew, 2, 2)

                    xOld = xNew
                    yOld = yNew

                Case 3 To 4
                    'Left vertex
                    xNew = xOld \ 2
                    yNew = (yOld + 730) \ 2

                    mgrfDrawSurface.FillEllipse(New SolidBrush(mColor), xNew, yNew, 2, 2)

                    xOld = xNew
                    yOld = yNew

                Case 5 To 6
                    'Right vertex
                    xNew = (xOld + 1018) \ 2
                    yNew = (yOld + 730) \ 2

                    mgrfDrawSurface.FillEllipse(New SolidBrush(mColor), xNew, yNew, 2, 2)

                    xOld = xNew
                    yOld = yNew
            End Select

        Next i

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub rad1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rad1.CheckedChanged
        mIterations = 1

    End Sub

    Private Sub rad1000_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rad1000.CheckedChanged
        mIterations = 1000
    End Sub

    Private Sub rad10000_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rad10000.CheckedChanged
        mIterations = 10000

    End Sub

    Private Sub rad100000_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rad100000.CheckedChanged
        mIterations = 100000

    End Sub

    Private Sub rad200000_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rad200000.CheckedChanged
        mIterations = 500000

    End Sub

    Private Sub radBlack_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radBlack.CheckedChanged
        mColor = Color.Black

    End Sub

    Private Sub radRed_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radRed.CheckedChanged
        mColor = Color.Red

    End Sub

    Private Sub radGreen_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radGreen.CheckedChanged
        mColor = Color.Green

    End Sub

    Private Sub radBlue_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radBlue.CheckedChanged
        mColor = Color.Blue

    End Sub

    Private Sub radPurple_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radPurple.CheckedChanged
        mColor = Color.Purple

    End Sub

    Private Sub radOrange_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radOrange.CheckedChanged
        mColor = Color.Orange

    End Sub

    Private Sub radYellow_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radYellow.CheckedChanged
        mColor = Color.Yellow

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        'Clear drawing surface
        mgrfDrawSurface.Clear(Color.White)

    End Sub
End Class
