﻿'Prologue


Public Class frmAlpha
    'Create two graphics on the form, one for a retangle and the other a circle
    Dim mgrfTop As Graphics
    Dim mgrfBottom As Graphics

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Instantiate the graphics
        mgrfTop = Me.CreateGraphics
        mgrfBottom = Me.CreateGraphics

    End Sub

    Private Sub DrawShapes()
        'Draws a rectangle and a circle with the alpha the the color chosen by the user
        'Uses nuds to set the alpha and the RGB colors

        'Declarations
        Dim clrTop As New Color
        Dim clrBottom As New Color
        Dim bshTop As New SolidBrush(Color.FromArgb(127, 255, 255, 0))
        Dim bshBottom As New SolidBrush(Color.FromArgb(127, 255, 255, 0))
        Dim intAlphaTop As Integer
        Dim intRedTop As Integer
        Dim intGreenTop As Integer
        Dim intBlueTop As Integer
        Dim intAlphaBottom As Integer
        Dim intRedBottom As Integer
        Dim intGreenBottom As Integer
        Dim intBlueBottom As Integer

        'Input
        'Takes the values from the nuds and uses them to set the alpha, red, green and blue for the graphics
        intAlphaTop = nudAlphaTop.Value
        intRedTop = nudRedTop.Value
        intGreenTop = nudGreenTop.Value
        intBlueTop = nudBlueTop.Value
        intAlphaBottom = nudAlphaBottom.Value
        intRedBottom = nudRedBottom.Value
        intGreenBottom = nudGreenBottom.Value
        intBlueBottom = nudBlueBottom.Value

        'Sets the alpha and the color for the rectangle and the circle
        clrTop = Color.FromArgb(intAlphaTop, intRedTop, intGreenTop, intBlueTop)
        clrBottom = Color.FromArgb(intAlphaBottom, intRedBottom, intGreenBottom, intBlueBottom)

        'Sets the brush colors so the graphics can be filled
        bshBottom.Color = clrBottom
        bshTop.Color = clrTop

        'Clears the screen and resets the color to white
        mgrfTop.Clear(Color.White)
        mgrfBottom.Clear(Color.White)

        'Draws the rectangle and the circle
        mgrfTop.FillRectangle(bshTop, 100, 50, 300, 200)
        mgrfBottom.FillEllipse(bshBottom, 125, 100, 250, 250)

    End Sub

    Private Sub nudAlpha_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudAlphaTop.ValueChanged
        'Every time a nud changes, it redraws the graphics
        'Same applies for the other nuds
        DrawShapes()

    End Sub

    Private Sub nudRed_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudRedTop.ValueChanged
        DrawShapes()

    End Sub

    Private Sub nudGreen_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudGreenTop.ValueChanged
        DrawShapes()

    End Sub

    Private Sub nudBlue_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudBlueTop.ValueChanged
        DrawShapes()

    End Sub

    Private Sub nudAlphaBottom_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudAlphaBottom.ValueChanged
        DrawShapes()
    End Sub

    Private Sub nudRedBottom_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudRedBottom.ValueChanged
        DrawShapes()
    End Sub

    Private Sub nudGreenBottom_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudGreenBottom.ValueChanged
        DrawShapes()
    End Sub

    Private Sub nudBlueBottom_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nudBlueBottom.ValueChanged
        DrawShapes()
    End Sub
End Class
