﻿Public Class frmGraphicsExamples
    Dim mgrfPenGraphics As Graphics
    Dim mgrfBrushesGraphics As Graphics
    Dim mgrfFillsGraphics As Graphics
    Dim mgrfStringsGraphics As Graphics
    Dim mgrfShapesGraphics As Graphics
    Dim mgrfPicturesGraphics As Graphics
    Dim mgrfOutlinesGraphics As Graphics
    Dim mgrfPaintGraphics As Graphics

    Dim mColor As Color = Color.Black
    Dim xDown As Integer
    Dim yDown As Integer
    Dim xUp As Integer
    Dim yUp As Integer
    Dim mimgNum(9) As Image
    Dim mgrfAnimated As Graphics
    Dim mblnCanPaint As Boolean = False

    Private Sub frmGraphicsExamples_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        rtbColorOut.Clear()
        rtbColorOut.AppendText(" 'Declarations" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfPenGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfBrushesGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfDrawingGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfStringsGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfShapesGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfPicturesGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfOutlinesGraphics As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mColor As Color = Color.Black" & vbNewLine)
        rtbColorOut.AppendText(" Dim xDown As Integer" & vbNewLine)
        rtbColorOut.AppendText(" Dim yDown As Integer" & vbNewLine)
        rtbColorOut.AppendText(" Dim xUp As Integer" & vbNewLine)
        rtbColorOut.AppendText(" Dim yUp As Integer" & vbNewLine & vbNewLine)
        rtbColorOut.AppendText(" Dim mimgNum(9) As Image" & vbNewLine)
        rtbColorOut.AppendText(" Dim mgrfAnimated As Graphics" & vbNewLine)
        rtbColorOut.AppendText(" Dim mblnCanPaint As Boolean = False" & vbNewLine)

        rtbColorOut.AppendText(" 'Load" & vbNewLine)
        rtbColorOut.AppendText(" mgrfPenGraphics = Me.tabPens.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfBrushesGraphics = Me.tabBrushes.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfFillsGraphics = Me.tabFills.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfStringsGraphics = Me.tabStrings.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfShapesGraphics = Me.tabShapes.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfPicturesGraphics = Me.tabPictures.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfOutlinesGraphics = Me.tabOutlines.CreateGraphics" & vbNewLine)
        rtbColorOut.AppendText(" mgrfPaintGraphics = Me.tabPaint.CreateGraphics" & vbNewLine)

        mgrfPenGraphics = Me.tabPens.CreateGraphics
        mgrfBrushesGraphics = Me.tabBrushes.CreateGraphics
        mgrfFillsGraphics = Me.tabFills.CreateGraphics
        mgrfStringsGraphics = Me.tabStrings.CreateGraphics
        mgrfShapesGraphics = Me.tabShapes.CreateGraphics
        mgrfPicturesGraphics = Me.tabPictures.CreateGraphics
        mgrfOutlinesGraphics = Me.tabOutlines.CreateGraphics
        mgrfPaintGraphics = Me.tabPaint.CreateGraphics

    End Sub

    Private Sub btnSet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSet.Click
        Dim bytRed As Byte
        Dim bytGreen As Byte
        Dim bytBlue As Byte

        'Input
        bytRed = nudRed.Value
        bytGreen = nudGreen.Value
        bytBlue = nudBlue.Value

        tabColor.BackColor = Color.FromArgb(bytRed, bytGreen, bytBlue)

    End Sub

    Private Sub lstColor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstColor.SelectedIndexChanged
        Dim bytColor As Byte

        bytColor = lstColor.SelectedIndex

        Select Case bytColor
            Case 0
                tabColor.BackColor = Color.FromArgb(0, 0, 0)
            Case 1
                tabColor.BackColor = Color.FromArgb(255, 255, 255)
            Case 2
                tabColor.BackColor = Color.FromArgb(255, 0, 0)
            Case 3
                tabColor.BackColor = Color.FromArgb(0, 255, 0)
            Case 4
                tabColor.BackColor = Color.FromArgb(0, 0, 255)
            Case 5
                tabColor.BackColor = Color.FromArgb(255, 255, 0)
            Case 6
                tabColor.BackColor = Color.FromArgb(255, 0, 255)
            Case 7
                tabColor.BackColor = Color.FromArgb(0, 255, 255)
            Case 8
                tabColor.BackColor = Color.FromArgb(128, 128, 128)
        End Select

    End Sub

    Private Sub btnColorExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnColorExit.Click
        End

    End Sub

    Private Sub btnSet_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSet.MouseHover
        rtbColorOut.Clear()
        rtbColorOut.AppendText(" Dim bytRed As Byte" & vbNewLine)
        rtbColorOut.AppendText(" Dim bytGreen As Byte" & vbNewLine)
        rtbColorOut.AppendText(" Dim bytBlue As Byte" & vbNewLine & vbNewLine)
        rtbColorOut.AppendText(" 'Input" & vbNewLine)
        rtbColorOut.AppendText(" bytRed = nudRed.Value" & vbNewLine)
        rtbColorOut.AppendText(" bytGreen = nudGreen.Value" & vbNewLine)
        rtbColorOut.AppendText(" bytBlue = nudBlue.Value" & vbNewLine & vbNewLine)
        rtbColorOut.AppendText(" tabColor.BackColor = Color.FromArgb(bytRed, bytGreen, bytBlue)" & vbNewLine)

    End Sub

    Private Sub btnColorExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnColorExit.MouseHover
        rtbColorOut.Clear()
        rtbColorOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub lstColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles lstColor.MouseHover
        rtbColorOut.Clear()
        rtbColorOut.AppendText(" Dim bytColor As Byte" & vbNewLine & vbNewLine)
        rtbColorOut.AppendText(" bytColor = lstColor.SelectedIndex" & vbNewLine & vbNewLine)
        rtbColorOut.AppendText(" Select Case bytColor" & vbNewLine)
        rtbColorOut.AppendText("     Case 0" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(0, 0, 0)" & vbNewLine)
        rtbColorOut.AppendText("     Case 1" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(255, 255, 255)" & vbNewLine)
        rtbColorOut.AppendText("     Case 2" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(255, 0, 0)" & vbNewLine)
        rtbColorOut.AppendText("     Case 3" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(0, 255, 0)" & vbNewLine)
        rtbColorOut.AppendText("     Case 4" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(0, 0, 255)" & vbNewLine)
        rtbColorOut.AppendText("     Case 5" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(255, 255, 0)" & vbNewLine)
        rtbColorOut.AppendText("     Case 6" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(255, 0, 255)" & vbNewLine)
        rtbColorOut.AppendText("     Case 7" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(0, 255, 255)" & vbNewLine)
        rtbColorOut.AppendText("     Case 8" & vbNewLine)
        rtbColorOut.AppendText("         tabColor.BackColor = Color.FromArgb(128, 128, 128)" & vbNewLine)
        rtbColorOut.AppendText(" End Select" & vbNewLine)

    End Sub

    Private Sub btnPensExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPensExit.Click
        End

    End Sub

    Private Sub btnPensLine_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim myPen As New Pen(Color.Black, 2)
        Dim shoLine As Short

        'Input
        shoLine = nudPensSize.Value

        myPen.Color = mColor
        myPen.Width = shoLine

        mgrfPenGraphics.DrawLine(myPen, xDown, yDown, xUp, yUp)

    End Sub

    Private Sub btnPensColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPensColor.Click
        clrDialog.ShowDialog()

        mColor = clrDialog.Color

        Me.tabColor.Refresh()

    End Sub

    Private Sub tabPens_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabPens.MouseDown
        xDown = e.X
        yDown = e.Y

        rtbPensOut.Clear()
        rtbPensOut.AppendText(" 'MouseDown code" & vbNewLine)
        rtbPensOut.AppendText(" xDown = e.X" & vbNewLine)
        rtbPensOut.AppendText(" yDown = e.Y" & vbNewLine)
    End Sub

    Private Sub tabPens_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabPens.MouseUp
        Dim myPen As New Pen(Color.Black, 2)
        Dim shoLine As Short

        xUp = e.X
        yUp = e.Y

        'Input
        shoLine = nudPensSize.Value

        myPen.Color = mColor
        myPen.Width = shoLine

        mgrfPenGraphics.DrawLine(myPen, xDown, yDown, xUp, yUp)

        rtbPensOut.Clear()
        rtbPensOut.AppendText(" 'MouseUp code" & vbNewLine)
        rtbPensOut.AppendText(" Dim myPen As New Pen(Color.Black, 2)" & vbNewLine)
        rtbPensOut.AppendText(" Dim shoLine As Short" & vbNewLine & vbNewLine)
        rtbPensOut.AppendText(" xUp = e.X" & vbNewLine)
        rtbPensOut.AppendText(" yUp = e.Y" & vbNewLine)
        rtbPensOut.AppendText(" shoLine = nudPensSize.Value" & vbNewLine & vbNewLine)
        rtbPensOut.AppendText(" myPen.Color = mColor" & vbNewLine)
        rtbPensOut.AppendText(" myPen.Width = shoLine" & vbNewLine)
        rtbPensOut.AppendText(" mgrfPenGraphics.DrawLine(myPen, xDown, yDown, xUp, yUp)")

    End Sub

    Private Sub btnPensColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPensColor.MouseHover
        rtbPensOut.Clear()
        rtbPensOut.AppendText(" clrDialog.ShowDialog()" & vbNewLine & vbNewLine)
        rtbPensOut.AppendText(" mColor = clrDialog.Color" & vbNewLine & vbNewLine)
        rtbPensOut.AppendText(" Me.tabColor.Refresh()" & vbNewLine)

    End Sub

    Private Sub btnPensExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPensExit.MouseHover
        rtbPensOut.Clear()
        rtbPensOut.AppendText(" End" & vbNewLine)
    End Sub

    Private Sub btnBrushesExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesExit.Click
        End

    End Sub

    Private Sub btnBrushesFillRec_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesFillRec.Click
        mgrfBrushesGraphics.FillRectangle(Brushes.Green, 50, 25, 275, 200)

    End Sub

    Private Sub btnBrushesCircle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesCircle.Click
        mgrfBrushesGraphics.FillEllipse(Brushes.Red, 450, 200, 200, 200)

    End Sub

    Private Sub btnBrushesPie_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesPie.Click
        mgrfBrushesGraphics.FillPie(Brushes.Purple, -100, 150, 300, 300, 0, 90)

    End Sub

    Private Sub btnBrushesSquare_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesSquare.Click
        mgrfBrushesGraphics.FillRectangle(Brushes.Orange, 500, 25, 150, 150)

    End Sub

    Private Sub btnBrushesPolygon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesPolygon.Click
        Dim pnt1 As New Point(350, 50)
        Dim pnt2 As New Point(450, 50)
        Dim pnt3 As New Point(450, 250)
        Dim pnt4 As New Point(400, 300)
        Dim pnt5 As New Point(350, 250)
        Dim myPolygon As PointF() = {pnt1, pnt2, pnt3, pnt4, pnt5}

        mgrfBrushesGraphics.FillPolygon(Brushes.Yellow, myPolygon)
    End Sub

    Private Sub btnBrushesOval_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBrushesOval.Click
        mgrfBrushesGraphics.FillEllipse(Brushes.Gray, 250, 250, 100, 200)

    End Sub

    Private Sub btnBrushesExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesExit.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub btnBrushesFillRec_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesFillRec.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillRectangle(Brushes.Green, 50, 25, 275, 200)" & vbNewLine)

    End Sub

    Private Sub btnBrushesCircle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesCircle.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillEllipse(Brushes.Red, 450, 200, 200, 200)" & vbNewLine)

    End Sub

    Private Sub btnBrushesPie_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesPie.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillPie(Brushes.Purple, -100, 150, 300, 300, 0, 90)" & vbNewLine)

    End Sub

    Private Sub btnBrushesPolygon_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesPolygon.MouseHover
        rtbBrushesOut.Clear()

        rtbBrushesOut.AppendText(" Dim pnt1 As New Point(350, 50)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt2 As New Point(450, 50)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt3 As New Point(450, 250)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt4 As New Point(400, 300)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt5 As New Point(350, 250)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim myPolygon As PointF() = {pnt1, pnt2, pnt3, pnt4, pnt5}" & vbNewLine & vbNewLine)

        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillPolygon(Brushes.Yellow, 0, 0, 300, 300, 0, 90)" & vbNewLine)

    End Sub

    Private Sub btnBrushesSquare_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesSquare.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillRectangle(Brushes.Orange, 500, 25, 150, 150)" & vbNewLine)

    End Sub

    Private Sub btnBrushesColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesPolygon.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" Dim pnt1 As New Point(350, 50)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt2 As New Point(450, 50)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt3 As New Point(450, 250)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt4 As New Point(400, 300)" & vbNewLine)
        rtbBrushesOut.AppendText(" Dim pnt5 As New Point(350, 250)" & vbNewLine & vbNewLine)
        rtbBrushesOut.AppendText(" Dim myPolygon As PointF() = {pnt1, pnt2, pnt3, pnt4, pnt5}" & vbNewLine & vbNewLine)
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillPolygon(Brushes.Yellow, myPolygon)" & vbNewLine)

    End Sub

    Private Sub btnBrushesOval_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnBrushesOval.MouseHover
        rtbBrushesOut.Clear()
        rtbBrushesOut.AppendText(" mgrfBrushesGraphics.FillEllipse(Brushes.Gray, 250, 250, 100, 200)" & vbNewLine)

    End Sub

    Private Sub btnStringsSample_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsSample.Click
        mgrfStringsGraphics.DrawString("Sample", New System.Drawing.Font("Arial", 16) _
                                       , Brushes.Black, 50, 25)

    End Sub

    Private Sub btnStringsExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsExit.Click
        End

    End Sub

    Private Sub btnStringsExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsExit.MouseHover
        rtbStringsOut.Clear()
        rtbStringsOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub btnStringsType_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsType.Click
        Dim strType As String

        strType = txtStringsType.Text
        mgrfStringsGraphics.DrawString(strType, New System.Drawing.Font("Arial", 16), Brushes.Black, 50, 100)

    End Sub

    Private Sub btnStringsSize_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsSize.Click
        Dim strName As String
        Dim shoSize As Short = 12

        strName = txtStringsType.Text
        If lstStringsSize.SelectedIndex <> -1 Then
            shoSize = lstStringsSize.SelectedItem
        End If

        mgrfStringsGraphics.FillRectangle(Brushes.WhiteSmoke, 50, 150, 800, 125)
        mgrfStringsGraphics.DrawString(strName, New System.Drawing.Font("Arial", shoSize), Brushes.Black, 50, 150)

    End Sub

    Private Sub btnStringsFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsFont.Click
        Dim strFont As String
        Dim drwFontStyle As New System.Drawing.FontStyle
        Dim strName As String
        Dim intFont As Integer

        intFont = lstStringsFonts.SelectedIndex

        If lstStringsFonts.SelectedIndex <> -1 Then
            strFont = lstStringsFonts.Items.Item(lstStringsFonts.SelectedIndex)
            strName = lstStringsFonts.Items.Item(lstStringsFonts.SelectedIndex)
        Else
            strFont = "Arial"
            strName = "Arial"
        End If

        mgrfStringsGraphics.FillRectangle(Brushes.WhiteSmoke, 50, 300, 800, 50)
        mgrfStringsGraphics.DrawString(strName, New System.Drawing.Font(strFont, 24), Brushes.Black, 50, 300)

    End Sub

    Private Sub btnStringsColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStringsColor.Click
        Dim myBrushes As SolidBrush

        clrDialog.ShowDialog()

        mColor = clrDialog.Color

        myBrushes = New SolidBrush(mColor)

        mgrfStringsGraphics.FillRectangle(Brushes.WhiteSmoke, 50, 350, 800, 400)
        mgrfStringsGraphics.DrawString("Color My World!", New System.Drawing.Font("Arial", 24), myBrushes, 50, 350)

    End Sub

    Private Sub btnStringsSample_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsSample.MouseHover
        rtbStringsOut.Clear()
        rtbStringsOut.AppendText(" mgrfStringsGraphics.DrawString(" & ControlChars.Quote & "Sample" & ControlChars.Quote & ", New System.Drawing.Font(" & ControlChars.Quote & "Arial" & ControlChars.Quote & " _ " & vbNewLine)
        rtbStringsOut.AppendText("                                , 16), Brushes.Black, 50, 25)" & vbNewLine)

    End Sub

    Private Sub btnStringsType_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsType.MouseHover
        rtbStringsOut.Clear()
        rtbStringsOut.AppendText(" Dim strType As String" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" strType = txtStringsType.Text" & vbNewLine & vbNewLine)
        rtbStringsOut.AppendText(" mgrfStringsGraphics.DrawString(strType, New System.Drawing.Font(" & ControlChars.Quote & "Arial" & ControlChars.Quote & " _ " & vbNewLine)
        rtbStringsOut.AppendText("                                , 16), Brushes.Black, 50, 100)" & vbNewLine)

    End Sub

    Private Sub btnStringsSize_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsSize.MouseHover
        rtbStringsOut.Clear()

        rtbStringsOut.AppendText(" Dim strName As String" & vbNewLine)
        rtbStringsOut.AppendText(" Dim shoSize As Short = 12" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" strName = txtStringsType.Text" & vbNewLine & vbNewLine)
        rtbStringsOut.AppendText(" If lstStringsSize.SelectedIndex <> -1 Then" & vbNewLine)
        rtbStringsOut.AppendText("     shoSize = lstStringsSize.SelectedItem" & vbNewLine)
        rtbStringsOut.AppendText(" End If" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" mgrfStringsGraphics.DrawString(strName, New System.Drawing.Font(" & ControlChars.Quote & "Arial _" & ControlChars.Quote & vbNewLine)
        rtbStringsOut.AppendText("                                , shoSize), Brushes.Black, 50, 150)" & vbNewLine)
    End Sub

    Private Sub btnStringsFont_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsFont.MouseHover
        rtbStringsOut.Clear()

        rtbStringsOut.AppendText(" Dim strFont As String" & vbNewLine)
        rtbStringsOut.AppendText(" Dim drwFontStyle As New System.Drawing.FontStyle" & vbNewLine)
        rtbStringsOut.AppendText(" Dim strName As String" & vbNewLine)
        rtbStringsOut.AppendText(" Dim intFont As Integer" & vbNewLine & vbNewLine)
        rtbStringsOut.AppendText(" intFont = lstStringsFonts.SelectedIndex" & vbNewLine & vbNewLine)
        rtbStringsOut.AppendText(" If lstStringsFonts.SelectedIndex <> -1 Then" & vbNewLine)
        rtbStringsOut.AppendText("     strFont = lstStringsFonts.Items.Item(lstStringsFonts.SelectedIndex)" & vbNewLine)
        rtbStringsOut.AppendText("     strName = lstStringsFonts.Items.Item(lstStringsFonts.SelectedIndex)" & vbNewLine)
        rtbStringsOut.AppendText(" Else" & vbNewLine)
        rtbStringsOut.AppendText("     strFont = " & ControlChars.Quote & "Arial" & ControlChars.Quote & vbNewLine)
        rtbStringsOut.AppendText("     strName = " & ControlChars.Quote & "Arial" & ControlChars.Quote & vbNewLine)
        rtbStringsOut.AppendText(" End If" & vbNewLine & vbNewLine)
        rtbStringsOut.AppendText(" mgrfStringsGraphics.DrawString(strName, New System.Drawing.Font(strFont _" & vbNewLine)
        rtbStringsOut.AppendText("                                , 24), Brushes.Black, 50, 300)" & vbNewLine)

    End Sub

    Private Sub btnStringsColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnStringsColor.MouseHover
        rtbStringsOut.Clear()

        rtbStringsOut.AppendText(" Dim myBrushes As SolidBrush" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" clrDialog.ShowDialog()" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" mColor = clrDialog.Color" & vbNewLine)
        rtbStringsOut.AppendText(" myBrushes = New SolidBrush(mColor)" & vbNewLine & vbNewLine)

        rtbStringsOut.AppendText(" mgrfStringsGraphics.DrawString(" & ControlChars.Quote & "Color My World!" & ControlChars.Quote & " _" & vbNewLine)
        rtbStringsOut.AppendText("                                , New System.Drawing.Font(" & ControlChars.Quote & "Arial" & ControlChars.Quote & ", 24) _" & vbNewLine)
        rtbStringsOut.AppendText("                                , myBrushes, 50, 350)" & vbNewLine)



    End Sub

    Private Sub btnShapesOval_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesOval.Click
        mgrfShapesGraphics.FillEllipse(Brushes.Crimson, 250, 350, 200, 100)
        'Graphic.Shape(Brushes.Color, xStart, yStart, Width, Height)

    End Sub

    Private Sub btnShapesSquare_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesSquare.Click
        mgrfShapesGraphics.FillRectangle(Brushes.DarkGoldenrod, 50, 150, 100, 100)
        'Graphic.FillRectangle(Brushes.Color, xStart, yStart, Width, Height)

    End Sub

    Private Sub btnShapesRectangle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesRectangle.Click
        mgrfShapesGraphics.FillRectangle(Brushes.Chartreuse, 100, 25, 200, 100)
        'Graphic.FillRectangle(Brushes.Color, xStart, yStart, Width, Height)

    End Sub

    Private Sub btnShapesCircle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesCircle.Click
        mgrfShapesGraphics.FillEllipse(Brushes.Gold, 450, 200, 200, 200)
        'Graphic.FillEllipse(Brushes.Color, xStart, yStart, Width, Height)

    End Sub

    Private Sub btnShapesPie_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesPie.Click
        mgrfShapesGraphics.FillPie(Brushes.DeepPink, -100, 150, 300, 300, 0, 90)
        'Graphic.FillPie(Brushes.Color, xStart, yStart, Width, Height, startAngle, sweepAngle)

    End Sub

    Private Sub btnShapesPolygon_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesPolygon.Click
        Dim pnt1 As New Point(400, 50)
        Dim pnt2 As New Point(650, 50)
        Dim pnt3 As New Point(600, 100)
        Dim pnt4 As New Point(650, 150)
        Dim pnt5 As New Point(400, 150)
        Dim myPolygon As PointF() = {pnt1, pnt2, pnt3, pnt4, pnt5}

        mgrfShapesGraphics.FillPolygon(Brushes.MidnightBlue, myPolygon)
        'Graphic.Polygon(Brushes.Color, Points)

    End Sub

    Private Sub btnShapesPatterns_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesPatterns.Click
        Dim myStyle As New System.Drawing.Drawing2D.HatchStyle
        myStyle = Drawing2D.HatchStyle.LargeCheckerBoard
        Dim myHatch As New System.Drawing.Drawing2D.HatchBrush(myStyle, Color.Black, Color.Red)

        mgrfShapesGraphics.FillRectangle(myHatch, 225, 150, 150, 150)
        'Graphic.FillRectangle(2DStyle.Pattern, xStart, yStart, Width, Height)

    End Sub

    Private Sub btnShapesExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShapesExit.Click
        End

    End Sub

    Private Sub btnShapesOval_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesOval.MouseHover
        rtbShapesOut.Clear()

        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillEllipse(Brushes.Crimson, 250, 350, 200, 100)" & vbNewLine & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.Shape(Brushes.Color, xStart, yStart, Width, Height)" & vbNewLine)

    End Sub

    Private Sub btnShapesSquare_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesSquare.MouseHover
        rtbShapesOut.Clear()

        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillRectangle(Brushes.DarkGoldenrod, 50, 150, 100, 100)" & vbNewLine & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.FillRectangle(Brushes.Color, xStart, yStart, Width, Height)" & vbNewLine)

    End Sub

    Private Sub btnShapesRectangle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesRectangle.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillRectangle(Brushes.Chartreuse, 100, 25, 200, 100)" & vbNewLine & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.FillRectangle(Brushes.Color, xStart, yStart, Width, Height)" & vbNewLine)

    End Sub

    Private Sub btnShapesCircle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesCircle.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillEllipse(Brushes.Gold, 450, 200, 200, 200)" & vbNewLine & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.FillEllipse(Brushes.Color, xStart, yStart, Width, Height)" & vbNewLine)

    End Sub

    Private Sub btnShapesPolygon_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesPolygon.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" Dim pnt1 As New Point(400, 50)" & vbNewLine)
        rtbShapesOut.AppendText(" Dim pnt2 As New Point(650, 50)" & vbNewLine)
        rtbShapesOut.AppendText(" Dim pnt3 As New Point(600, 100)" & vbNewLine)
        rtbShapesOut.AppendText(" Dim pnt4 As New Point(650, 150)" & vbNewLine)
        rtbShapesOut.AppendText(" Dim pnt5 As New Point(400, 150)" & vbNewLine)
        rtbShapesOut.AppendText(" Dim myPolygon As PointF() = {pnt1, pnt2, pnt3, pnt4, pnt5}" & vbNewLine & vbNewLine)

        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillPolygon(Brushes.MidnightBlue, myPolygon)" & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.Polygon(Brushes.Color, Points)" & vbNewLine)

    End Sub

    Private Sub btnShapesPatterns_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesPatterns.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" Dim myStyle As New System.Drawing.Drawing2D.HatchStyle" & vbNewLine)
        rtbShapesOut.AppendText(" myStyle = Drawing2D.HatchStyle.LargeCheckerBoard" & vbNewLine)
        rtbShapesOut.AppendText(" Dim myHatch As New System.Drawing.Drawing2D.HatchBrush(myStyle, Color.Black, Color.Red)" & vbNewLine & vbNewLine)

        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillRectangle(myHatch, 225, 150, 150, 150)" & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.FillRectangle(2DStyle.Pattern, xStart, yStart, Width, Height)" & vbNewLine)

    End Sub

    Private Sub btnShapesPie_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesPie.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" mgrfShapesGraphics.FillPie(Brushes.DeepPink, -100, 150, 300, 300, 0, 90)" & vbNewLine & vbNewLine)
        rtbShapesOut.AppendText(" 'Graphic.FillPie(Brushes.Color, xStart, yStart, Width, Height, _ " & vbNewLine)
        rtbShapesOut.AppendText("                  startAngle, sweepAngle)" & vbNewLine)

    End Sub

    Private Sub btnShapesExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnShapesExit.MouseHover
        rtbShapesOut.Clear()
        rtbShapesOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub btnPicturesExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPicturesExit.Click
        End

    End Sub

    Private Sub btnPicturesDraw_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPicturesDraw.Click
        Dim imgCUP As Image
        Dim myGraphics As Graphics

        imgCUP = Image.FromFile("CUP.bmp")
        myGraphics = tabPictures.CreateGraphics()
        myGraphics.DrawImage(imgCUP, 100, 100)

    End Sub

    Private Sub btnPicturesStretch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPicturesStretch.Click
        Dim imgCUP As Image
        Dim myGraphics As Graphics

        imgCUP = Image.FromFile("CUP.bmp")
        myGraphics = tabPictures.CreateGraphics()
        myGraphics.DrawImage(imgCUP, 200, 200, 200, 200)

    End Sub

    Private Sub btnPicturesAnimated_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPicturesAnimated.Click
        Dim i As Integer
        Dim strFileName As String

        mgrfAnimated = tabPictures.CreateGraphics()

        For i = 9 To 0 Step -1
            strFileName = i.ToString & ".bmp"
            mimgNum(i) = Image.FromFile(strFileName)
        Next i

        tmrAnimatedGraphics.Enabled = True

    End Sub

    Private Sub tmrAnimatedGraphics_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrAnimatedGraphics.Tick
        Static i As Integer = 9

        mgrfAnimated = tabPictures.CreateGraphics()
        mgrfAnimated.DrawImage(mimgNum(i), 100, 300)

        i -= 1
        If i < 0 Then
            tmrAnimatedGraphics.Enabled = False
            i = 9
        End If

    End Sub

    Private Sub btnPicturesDraw_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPicturesDraw.MouseHover
        rtbPicturesOut.Clear()
        rtbPicturesOut.AppendText(" Dim imgCUP As Image" & vbNewLine)
        rtbPicturesOut.AppendText(" Dim myGraphics As Graphics" & vbNewLine & vbNewLine)

        rtbPicturesOut.AppendText(" imgCUP = Image.FromFile(" & ControlChars.Quote & "CUP.bmp" & ControlChars.Quote & ")" & vbNewLine)
        rtbPicturesOut.AppendText(" myGraphics = tabPictures.CreateGraphics()" & vbNewLine)
        rtbPicturesOut.AppendText(" myGraphics.DrawImage(imgCUP, 100, 100)" & vbNewLine)

    End Sub

    Private Sub btnPicturesStretch_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPicturesStretch.MouseHover
        rtbPicturesOut.Clear()
        rtbPicturesOut.AppendText(" Dim imgCUP As Image" & vbNewLine)
        rtbPicturesOut.AppendText(" Dim myGraphics As Graphics" & vbNewLine & vbNewLine)

        rtbPicturesOut.AppendText(" imgCUP = Image.FromFile(" & ControlChars.Quote & "CUP.bmp" & ControlChars.Quote & ")" & vbNewLine)
        rtbPicturesOut.AppendText(" myGraphics = tabPictures.CreateGraphics()" & vbNewLine)
        rtbPicturesOut.AppendText(" myGraphics.DrawImage(imgCUP, 200, 200, 200, 200)" & vbNewLine)

    End Sub

    Private Sub btnPicturesAnimated_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPicturesAnimated.MouseHover
        rtbPicturesOut.Clear()

        rtbPicturesOut.AppendText(" Dim i As Integer" & vbNewLine)
        rtbPicturesOut.AppendText(" Dim strFileName As String" & vbNewLine & vbNewLine)

        rtbPicturesOut.AppendText(" mgrfAnimated = tabPictures.CreateGraphics()" & vbNewLine)
        rtbPicturesOut.AppendText(" For i = 9 To 0 Step -1" & vbNewLine)
        rtbPicturesOut.AppendText("     strFileName = i.ToString & " & ControlChars.Quote & ".bmp" & ControlChars.Quote & ")" & vbNewLine)
        rtbPicturesOut.AppendText("     mimgNum(i) = Image.FromFile(strFileName)" & vbNewLine)
        rtbPicturesOut.AppendText(" Next i" & vbNewLine & vbNewLine)
        rtbPicturesOut.AppendText("  tmrAnimatedGraphics.Enabled = True" & vbNewLine & vbNewLine)

        rtbPicturesOut.AppendText(" Timer Event Code" & vbNewLine)
        rtbPicturesOut.AppendText(" Static i As Integer = 9" & vbNewLine & vbNewLine)

        rtbPicturesOut.AppendText(" mgrfAnimated = tabPictures.CreateGraphics()" & vbNewLine)
        rtbPicturesOut.AppendText(" mgrfAnimated.DrawImage(mimgNum(i), 100, 300)" & vbNewLine)

        rtbPicturesOut.AppendText(" i -= 1" & vbNewLine)
        rtbPicturesOut.AppendText(" If i < 0 Then" & vbNewLine)
        rtbPicturesOut.AppendText("     tmrAnimatedGraphics.Enabled = False" & vbNewLine)
        rtbPicturesOut.AppendText("     i = 9" & vbNewLine)
        rtbPicturesOut.AppendText(" End If" & vbNewLine)

    End Sub

    Private Sub btnPicturesExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPicturesExit.MouseHover
        rtbPicturesOut.Clear()
        rtbPicturesOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub tabFills_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabFills.MouseDown
        xDown = e.X
        yDown = e.Y

        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" 'MouseDown code" & vbNewLine)
        rtbFillsOut.AppendText(" xDown = e.X" & vbNewLine)
        rtbFillsOut.AppendText(" yDown = e.Y" & vbNewLine)

    End Sub

    Private Sub btnFillsColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFillsColor.Click
        clrDialog.ShowDialog()

        mColor = clrDialog.Color

        Me.tabColor.Refresh()

    End Sub

    Private Sub tabFills_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabFills.MouseUp
        Dim myBrush As SolidBrush
        Dim xStart As Integer
        Dim yStart As Integer
        Dim xEnd As Integer
        Dim yEnd As Integer
        Dim xDistance As Integer
        Dim yDistance As Integer

        myBrush = New System.Drawing.SolidBrush(mColor)

        xUp = e.X
        yUp = e.Y

        If xUp < xDown Then
            xStart = xUp
            xEnd = xDown
        Else
            xStart = xDown
            xEnd = xUp
        End If
        If yUp < yDown Then
            yStart = yUp
            yEnd = yDown
        Else
            yStart = yDown
            yEnd = yUp
        End If

        xDistance = xEnd - xStart
        yDistance = yEnd - yStart


        If radFillsRectangle.Checked Then
            'Rectangle
            mgrfFillsGraphics.FillRectangle(myBrush, xStart, yStart, xDistance, yDistance)
        End If
        If radFillsSquare.Checked Then
            'Square
            mgrfFillsGraphics.FillRectangle(myBrush, xStart, yStart, xDistance, xDistance)
        End If
        If radFillsCircle.Checked Then
            mgrfFillsGraphics.FillEllipse(myBrush, xStart, yStart, xDistance, xDistance)
        End If
        If radFillsOval.Checked Then
            mgrfFillsGraphics.FillEllipse(myBrush, xStart, yStart, xDistance, yDistance)
        End If

        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" Dim myBrush As SolidBrush" & vbNewLine)
        rtbFillsOut.AppendText(" Dim xStart As Integer" & vbNewLine)
        rtbFillsOut.AppendText(" Dim yStart As Integer" & vbNewLine)
        rtbFillsOut.AppendText(" Dim xEnd As Integer" & vbNewLine)
        rtbFillsOut.AppendText(" Dim yEnd As Integer" & vbNewLine)
        rtbFillsOut.AppendText(" Dim xDistance As Integer" & vbNewLine)
        rtbFillsOut.AppendText(" Dim yDistance As Integer" & vbNewLine & vbNewLine)
        rtbFillsOut.AppendText(" myBrush = New System.Drawing.SolidBrush(mColor)" & vbNewLine & vbNewLine)
        rtbFillsOut.AppendText(" xUp = e.X" & vbNewLine)
        rtbFillsOut.AppendText(" yUp = e.Y" & vbNewLine)

        rtbFillsOut.AppendText(" If xUp < xDown Then" & vbNewLine)
        rtbFillsOut.AppendText("     xStart = xUp" & vbNewLine)
        rtbFillsOut.AppendText("     xEnd = xDown" & vbNewLine)
        rtbFillsOut.AppendText(" Else" & vbNewLine)
        rtbFillsOut.AppendText("     xStart = xDown" & vbNewLine)
        rtbFillsOut.AppendText("     xEnd = xUp" & vbNewLine)
        rtbFillsOut.AppendText(" End If" & vbNewLine & vbNewLine)
        rtbFillsOut.AppendText(" If yUp < yDown Then" & vbNewLine)
        rtbFillsOut.AppendText("     yStart = yUp" & vbNewLine)
        rtbFillsOut.AppendText("     yEnd = yDown" & vbNewLine)
        rtbFillsOut.AppendText(" Else" & vbNewLine)
        rtbFillsOut.AppendText("     yStart = yDown" & vbNewLine)
        rtbFillsOut.AppendText("     yEnd = yUp" & vbNewLine)
        rtbFillsOut.AppendText(" End If" & vbNewLine & vbNewLine)

        rtbFillsOut.AppendText(" xDistance = xEnd - xStart" & vbNewLine)
        rtbFillsOut.AppendText(" yDistance = yEnd - yStart" & vbNewLine)

        rtbFillsOut.AppendText(" 'Draws graphic based on RadioButton selected" & vbNewLine)
        rtbFillsOut.AppendText(" 'Check RadioButton for specific code" & vbNewLine)

    End Sub

    Private Sub btnFillsColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnFillsColor.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" clrDialog.ShowDialog()" & vbNewLine & vbNewLine)
        rtbFillsOut.AppendText(" mColor = clrDialog.Color" & vbNewLine & vbNewLine)
        rtbFillsOut.AppendText(" Me.tabColor.Refresh()" & vbNewLine)

    End Sub

    Private Sub btnFillsExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFillsExit.Click
        End

    End Sub

    Private Sub btnFillsClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFillsClear.Click
        tabFills.BackColor = Color.FromArgb(247, 247, 247)

    End Sub

    Private Sub radFillsRectangle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles radFillsRectangle.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" mgrfFillsGraphics.FillRectangle(myBrush, xStart, yStart, xDistance, yDistance)" & vbNewLine)

    End Sub

    Private Sub radFillsCircle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles radFillsCircle.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" mgrfFillsGraphics.FillEllipse(myBrush, xStart, yStart, xDistance, xDistance)" & vbNewLine)

    End Sub

    Private Sub radFillsOval_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles radFillsOval.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" mgrfFillsGraphics.FillEllipse(myBrush, xStart, yStart, xDistance, yDistance)" & vbNewLine)

    End Sub

    Private Sub radFillsSquare_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles radFillsSquare.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" mgrfFillsGraphics.FillRectangle(myBrush, xStart, yStart, xDistance, yDistance)" & vbNewLine)

    End Sub

    Private Sub btnFillsClear_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnFillsClear.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" tabFills.BackColor = Color.FromArgb(247, 247, 247)" & vbNewLine)

    End Sub

    Private Sub btnFillsExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnFillsExit.MouseHover
        rtbFillsOut.Clear()
        rtbFillsOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub btnOutlinesExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesExit.Click
        End

    End Sub

    Private Sub btnOutlinesRectangle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesRectangle.Click
        Dim penRec As New Pen(Color.Red, 2)

        mgrfOutlinesGraphics.DrawRectangle(penRec, 500, 50, 50, 100)

    End Sub

    Private Sub btnOutlinesSquare_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesSquare.Click
        Dim penSquare As New Pen(Color.Green, 4)

        mgrfOutlinesGraphics.DrawRectangle(penSquare, 450, 200, 150, 150)

    End Sub

    Private Sub btnOutlinesArc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesArc.Click
        Dim penArc As New Pen(Color.Yellow, 6)

        mgrfOutlinesGraphics.DrawArc(penArc, 100, 200, 200, 200, 90, 90)
        'start x, y width, height, startangle, endangle

    End Sub

    Private Sub btnOutlinesPie_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesPie.Click
        mgrfOutlinesGraphics.DrawPie(Pens.Blue, 350, 300, 150, 150, 0, 90)
        'draws pie, not filled in
        'pens,x, y, width, height, startangle, endangle

    End Sub

    Private Sub btnOutlinesStar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOutlinesStar.Click
        Dim penStar As New Pen(Color.Gray, 4)

        mgrfOutlinesGraphics.DrawLine(penStar, 100, 125, 400, 125)
        mgrfOutlinesGraphics.DrawLine(penStar, 100, 125, 350, 300)
        mgrfOutlinesGraphics.DrawLine(penStar, 250, 25, 150, 300)
        mgrfOutlinesGraphics.DrawLine(penStar, 250, 25, 350, 300)
        mgrfOutlinesGraphics.DrawLine(penStar, 150, 300, 400, 125)

    End Sub

    Private Sub btnOutlinesArc_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesArc.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" Dim penArc As New Pen(Color.Yellow, 6)" & vbNewLine & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawArc(penArc, 100, 200, 200, 200, 90, 90)" & vbNewLine)
        rtbOutlinesOut.AppendText(" 'start x, y width, height, startangle, endangle" & vbNewLine)

    End Sub

    Private Sub btnOutlinesExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesExit.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" End" & vbNewLine)

    End Sub

    Private Sub btnOutlinesPie_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesPie.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawPie(Pens.Blue, 350, 300, 150, 150, 0, 90)" & vbNewLine)
        rtbOutlinesOut.AppendText(" 'draws pie, not filled in" & vbNewLine)
        rtbOutlinesOut.AppendText(" 'pens,x, y, width, height, startangle, endangle" & vbNewLine)

    End Sub

    Private Sub btnOutlinesRectangle_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesRectangle.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" Dim penRec As New Pen(Color.Red, 2)" & vbNewLine & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawRectangle(penRec, 500, 50, 50, 100)" & vbNewLine)

    End Sub

    Private Sub btnOutlinesStar_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesStar.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" Dim penStar As New Pen(Color.Gray, 4)" & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawLine(penStar, 100, 125, 400, 125)" & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawLine(penStar, 100, 125, 350, 300)" & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawLine(penStar, 250, 25, 150, 300)" & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawLine(penStar, 250, 25, 350, 300)" & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawLine(penStar, 150, 300, 400, 125)" & vbNewLine)

    End Sub

    Private Sub btnOutlinesSquare_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnOutlinesSquare.MouseHover
        rtbOutlinesOut.Clear()
        rtbOutlinesOut.AppendText(" Dim penSquare As New Pen(Color.Green, 4)" & vbNewLine & vbNewLine)
        rtbOutlinesOut.AppendText(" mgrfOutlinesGraphics.DrawRectangle(penSquare, 450, 200, 150, 150)" & vbNewLine)

    End Sub

    Private Sub btnPaintOut_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPaintExit.Click
        End

    End Sub

    Private Sub btnPaintColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPaintColor.Click
        clrDialog.ShowDialog()
        mColor = clrDialog.Color

    End Sub

    Private Sub tabPaint_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabPaint.MouseDown
        mblnCanPaint = True

        rtbPaintOut.Clear()
        rtbPaintOut.AppendText(" mblnCanPaint = True" & vbNewLine)

    End Sub

    Private Sub tabPaint_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabPaint.MouseMove
        Dim intBrushSize As Integer

        intBrushSize = nudPaintWidth.Value

        If mblnCanPaint Then
            mgrfPaintGraphics.FillEllipse(New SolidBrush(mColor), e.X, e.Y, intBrushSize, intBrushSize)
        End If

        rtbPaintOut.Clear()
        rtbPaintOut.AppendText(" Dim intBrushSize As Integer" & vbNewLine & vbNewLine)
        rtbPaintOut.AppendText(" intBrushSize = nudPaintWidth.Value" & vbNewLine)
        rtbPaintOut.AppendText(" If mblnCanPaint Then" & vbNewLine & vbNewLine)
        rtbPaintOut.AppendText("     mgrfPaintGraphics.FillEllipse(New SolidBrush(mColor), e.X, e.Y, intBrushSize, intBrushSize)" & vbNewLine)
        rtbPaintOut.AppendText(" End If" & vbNewLine)

    End Sub

    Private Sub tabPaint_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles tabPaint.MouseUp
        mblnCanPaint = False

        rtbPaintOut.Clear()
        rtbPaintOut.AppendText(" mblnCanPaint = False" & vbNewLine)

    End Sub

    Private Sub btnPaintColor_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPaintColor.MouseHover
        rtbPaintOut.Clear()
        rtbPaintOut.AppendText(" clrDialog.ShowDialog()" & vbNewLine)
        rtbPaintOut.AppendText(" mColor = clrDialog.Color" & vbNewLine)

    End Sub

    Private Sub btnPaintExit_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnPaintExit.MouseHover
        rtbPaintOut.Clear()
        rtbPaintOut.AppendText(" End" & vbNewLine)

    End Sub
End Class